Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.dsmediator.client
Interface StreamingPreparedExpression

All Superinterfaces:
  PreparedExpression

public interface StreamingPreparedExpression
extends PreparedExpression

Interface for acquiring ad hoc query results as a stream.

Method Summary
`weblogic.xml.stream.XMLInputStream` | `executeQueryToStream()` Executes the ad hoc query, getting results back as an XMLInputStream.
`weblogic.xml.stream.XMLInputStream` | `executeQueryToStream(RequestConfig config)` Executes the ad hoc query, getting results back as an XMLInputStream.

Methods inherited from interface com.bea.dsp.dsmediator.client.PreparedExpression
`bindBinary, bindBinaryXML, bindBoolean, bindByte, bindDate, bindDateTime, bindDateTime, bindDateTime, bindDecimal, bindDouble, bindElement, bindElement, bindFloat, bindInt, bindLong, bindObject, bindShort, bindString, bindTime, bindURI, executeQuery, executeQuery`

Method Detail

### executeQueryToStream

    public weblogic.xml.stream.XMLInputStream executeQueryToStream()
                                                            throws SDOMediatorException,
                                                                   weblogic.xml.stream.XMLStreamException

  Executes the ad hoc query, getting results back as an XMLInputStream. User must call close() on the stream when they have completed reading from it. Until the stream is closed, the server may hold open various resources such as database handles.

  Returns:
    XMLInputStream
  Throws:
    `SDOMediatorException`
    `weblogic.xml.stream.XMLStreamException`

### executeQueryToStream

    public weblogic.xml.stream.XMLInputStream executeQueryToStream(RequestConfig config)
                                                            throws SDOMediatorException,
                                                                   weblogic.xml.stream.XMLStreamException

  Executes the ad hoc query, getting results back as an XMLInputStream. User must call close() on the stream when they have completed reading from it. Until the stream is closed, the server may hold open various resources such as database handles.

  Parameters:
    `config` - A RequestConfig for controlling how the server will invoke this function, and for allowing return of out-of-band results such as server audit information. Note: Filtering ad-hoc queries via FilterXQuery is meaningless, so any FilterXQuery on this RequestConfig will be ignored.
  Returns:
    XMLInputStream
  Throws:
    `SDOMediatorException`
    `weblogic.xml.stream.XMLStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems Inc. All Rights Reserved.